Scenarios
List a project's scenarios
The scenarios published from this project — name, access mode, attached servers, and share link. Read-only.
GET
/
projects
/
{projectId}
/
scenarios
List a project's scenarios
curl --request GET \
--url https://app.mcpjam.com/api/v1/projects/{projectId}/scenarios \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mcpjam.com/api/v1/projects/{projectId}/scenarios"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mcpjam.com/api/v1/projects/{projectId}/scenarios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"name": "<string>",
"serverCount": 123,
"serverNames": [
"<string>"
],
"projectId": "<string>",
"description": "<string>",
"hostStyle": "<string>",
"hostId": "<string>",
"hostName": "<string>",
"link": {
"path": "<string>",
"url": "<string>"
},
"createdAt": 123,
"updatedAt": 123
}
]
}
Authorizations
MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.
Path Parameters
ID of the hosted project that contains the server.
Response
The project's scenarios.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List a project's scenarios

